When requesting efix, you can inform the service personnel that you need 
efix RPMs which don't have dependencies on the base-version.   Our service 
team should be able to provide the appropriate efix RPMs that meet your 
needs. 

Regards, The Spectrum Scale (GPFS) team

------------------------------------------------------------------------------------------------------------------
If you feel that your question can benefit other users of  Spectrum Scale 
(GPFS), then please post it to the public IBM developerWroks Forum at 
https://www.ibm.com/developerworks/community/forums/html/forum?id=11111111-0000-0000-0000-000000000479
. 

If your query concerns a potential software error in Spectrum Scale (GPFS) 
and you have an IBM software maintenance contract please contact 
1-800-237-5511 in the United States or your local IBM Service Center in 
other countries. 

The forum is informally monitored as time permits and should not be used 
for priority messages to the Spectrum Scale (GPFS) team.

gpfsug-discuss-boun...@spectrumscale.org wrote on 01/15/2020 05:35:23 PM:

> From: "Sanchez, Paul" <paul.sanc...@deshaw.com>
> To: gpfsug main discussion list <gpfsug-discuss@spectrumscale.org>
> Cc: "gpfsug-discuss-boun...@spectrumscale.org" <gpfsug-discuss-
> boun...@spectrumscale.org>
> Date: 01/15/2020 05:34 PM
> Subject: [EXTERNAL] Re: [gpfsug-discuss] How to install efix with yum ?
> Sent by: gpfsug-discuss-boun...@spectrumscale.org
> 
> This reminds me that there is one more thing which drives the 
> convoluted process I described earlier…
> 
> Automation.  Deployment solutions which use yum to build new hosts 
> are often the place where one notices the problem.  They would need 
> to determine that they should install both the base-version and efixRPMS 
and 
> in that order.  IIRC, there were no RPM dependencies connecting the 
> efix RPMs to their base-version equivalents, so there was nothing to
> signal YUM that installing the efix requires that the base-version 
> be installed first. 
> 
> (Our particular case is worse than just this though, since we 
> prohibit installing two versions/releases for the same (non-kernel) 
> package name.  But that’s not the case for everyone.)
> 
> -Paul
> 
> From: gpfsug-discuss-boun...@spectrumscale.org <gpfsug-discuss-
> boun...@spectrumscale.org> On Behalf Of IBM Spectrum Scale
> Sent: Wednesday, January 15, 2020 16:00
> To: gpfsug main discussion list <gpfsug-discuss@spectrumscale.org>
> Cc: gpfsug-discuss-boun...@spectrumscale.org
> Subject: Re: [gpfsug-discuss] How to install efix with yum ?
> 
> This message was sent by an external party.
> 
> >> I don't see any yum options which match rpm's '--force' option. 
> Actually, you do not need to use --force option since efix RPMs have
> incremental efix number in rpm name.
> 
> Efix package provides update RPMs to be installed on top of 
> corresponding PTF GA version. When you install 5.0.4.1 efix9, if 5.
> 0.4.1 is already installed on your system, "yum update" should work. 
> 
> Regards, The Spectrum Scale (GPFS) team
> 
> 
------------------------------------------------------------------------------------------------------------------
> If you feel that your question can benefit other users of Spectrum 
> Scale (GPFS), then please post it to the public IBM developerWroks Forum 
at 
> https://www.ibm.com/developerworks/community/forums/html/forum?
> id=11111111-0000-0000-0000-000000000479. 
> 
> If your query concerns a potential software error in Spectrum Scale 
> (GPFS) and you have an IBM software maintenance contract please 
> contact 1-800-237-5511 in the United States or your local IBM 
> Service Center in other countries. 
> 
> The forum is informally monitored as time permits and should not be 
> used for priority messages to the Spectrum Scale (GPFS) team.
> 
> [image removed] Jonathan Buzzard ---01/15/2020 02:09:33 PM---On 15/
> 01/2020 18:30, Sanchez, Paul wrote: > Yum generally only wants there
> to be single version of a
> 
> From: Jonathan Buzzard <jonathan.buzz...@strath.ac.uk>
> To: "gpfsug-discuss@spectrumscale.org" 
<gpfsug-discuss@spectrumscale.org>
> Date: 01/15/2020 02:09 PM
> Subject: [EXTERNAL] Re: [gpfsug-discuss] How to install efix with yum ?
> Sent by: gpfsug-discuss-boun...@spectrumscale.org
> 
> 
> 
> 
> On 15/01/2020 18:30, Sanchez, Paul wrote:
> > Yum generally only wants there to be single version of any package (it 

> > is trying to eliminate conflicting provides/depends so that all of the 

> > packaging requirements are satisfied).  So this alien packaging 
practice 
> > of installing an efix version of a package over the top of the base 
> > version is not compatible with yum.
> 
> I would at this juncture note that IBM should be appending the efix 
> number to the RPM so that for example
> 
>     gpfs.base-5.0.4-1 becomes gpfs.base-5.0.4-1efix9
> 
> which would firstly make the problem go away, and second would allow one 

> to know which version of GPFS you happen to have installed on a node 
> without doing some sort of voodoo.
> 
> > 
> > The real issue for draconian sysadmins like us (whose systems must use 

> > and obey yum) is that there are files (*liblum.so) which are provided 
by 
> > the non-efix RPMS, but are not owned by the packages according to the 
> > RPM database since they’re purposefully installed outside of RPM’s 
> > tracking mechanism.
> >
> 
> It worse than that because if you install the RPM directly yum/dnf then 
> start bitching about the RPM database being modified outside of 
> themselves and all sorts of useful information gets lost when you purge 
> the package installation history to make the error go away.
> 
> > We work around this by repackaging the three affected RPMS to include 
> > the orphaned files from the original RPMs (and eliminating the related 

> > but problematic checks from the RPMs’ scripts) so that our efix RPMs 
> > have been “un-efix-ified” and will install as expected when using ‘yum 

> > upgrade’.  To my knowledge no one’s published a way to do this, so we 
> > all just have to figure this out and run rpmrebuild for ourselves.
> >
> 
> IBM should be hanging their heads in shame if the replacement RPM is 
> missing files.
> 
> JAB.
> 
> -- 
> Jonathan A. Buzzard                         Tel: +44141-5483420
> HPC System Administrator, ARCHIE-WeSt.
> University of Strathclyde, John Anderson Building, Glasgow. G4 0NG
> _______________________________________________
> gpfsug-discuss mailing list
> gpfsug-discuss at spectrumscale.org
> http://gpfsug.org/mailman/listinfo/gpfsug-discuss 
> 
> 
> _______________________________________________
> gpfsug-discuss mailing list
> gpfsug-discuss at spectrumscale.org
> https://urldefense.proofpoint.com/v2/url?
> 
u=http-3A__gpfsug.org_mailman_listinfo_gpfsug-2Ddiscuss&d=DwICAg&c=jf_iaSHvJObTbx-
> siA1ZOg&r=IbxtjdkPAM2Sbon4Lbbi4w&m=aSasL0r-
> NxIT9nDrkoQO6rcyV88VUM_oc6mYssN-_Ng&s=4-
> wB8cR24x2P7Rpn_14fIXuwxCvvqwne7xcIp85dZoI&e= 


_______________________________________________
gpfsug-discuss mailing list
gpfsug-discuss at spectrumscale.org
http://gpfsug.org/mailman/listinfo/gpfsug-discuss

Reply via email to